@keyframes gradient {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 0% 50%;
    }
}

html,
body {
    background: linear-gradient(270deg, #8300A9, #F0037B);
    background-size: 400% 400%;
    animation: gradient 10s ease infinite;
    height: 100%;
    margin: 0;
}

.center {
    text-align: center;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: right;
    align-items: center;
    color: aliceblue;
    background: linear-gradient(270deg, #000000, #8300A9);
    background-size: 400% 400%;
    animation: gradient 10s ease infinite;
    font-family: fantasy;
    font-size: 100px;
    font-weight: 100;
    -webkit-background-clip: text;
    color: transparent;
}

#welcome {
    background: linear-gradient(270deg, #F0037B, #8300A9);
    background-size: 400% 400%;
    animation: gradient 10s ease infinite;
    font-family: fantasy;
    font-size: 150px;
    font-weight: 100;
    text-align: center;
    -webkit-background-clip: text;
    color: transparent;
}

#enterCode {
    font-family: 'DejaVu Sans Mono', monospace;
    font-size: 50px;
    color: #fff;
    font-weight: 100;
    text-align: center;
}

.center #wip {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#roomJoin,
#codeSubmit,
#createRoom,
#pub,
#priv,
#huzzSubmit {
    background: linear-gradient(270deg, #F0037B, #8300A9);
    background-size: 400% 400%;
    animation: gradient 10s ease infinite;
    color: #fff;
    border-color: transparent;
    border-radius: 10px;
}

#roomJoin {
    font-size: 100px;
    margin-bottom: 7px;
}

#codeSubmit,
#huzzSubmit {
    font-size: 20px;
    cursor: pointer;
}

#createRoom {
    font-size: 30px;
    margin: 0;
    cursor: pointer;
}

#pub,
#priv {
    font-size: 20px;
    margin: 0;
    font-weight: bold;
    padding: 5px 5px;
    cursor: pointer;
    transition: all .3s ease;
}

#priv {
    background-color: #F0037B;
    color: aliceblue;
    box-shadow: 0 0 15px rgba(red, green, blue, alpha);
}

#pub {
    background-color: #8300A9;
    color: aliceblue;
    box-shadow: 0 0 15px rgba(red, green, blue, alpha);
}

#pub:hover #priv:hover {
    transform: scale(1.05);
    box-shadow: 0 0 25px rgba(red, green, blue, alpha);
}

#priv:active #pub:active {
    transition: scale(0.98);
    box-shadow: 0 0 30px rgba(red, green, blue, alpha);
}

.center #pubpriv {
    display: flex;
    gap: 8px;
}

#pub:focus #priv:focus {
    outline: #000000;
    box-shadow: 0 0 5px rgba(red, green, blue, alpha);
}

.center #creation #createCode {
    font-family: 'DejaVu Sans Mono', monospace;
    font-size: 20px;
    color: #fff;
}

.center #wip #huzzEnter {
    color: #fff;
    background: linear-gradient(270deg, #F0037B, #8300A9);
    background-size: 400% 400%;
    animation: gradient 10s ease infinite;
    width: 300px;
    padding: 30px;
    font-size: 30px;
    margin: 10px;
    border: none;
    border-radius: 5px;
    box-sizing: border-box;
    white-space: nowrap;
    position: relative;
}

.nav-links ul li {
    list-style: none;
    display: inline-block;
    padding: 8px 12px;
    position: relative;
}

.nav-links ul li a {
    color: #fff;
    text-decoration: none;
    font-size: 20px;
    font-weight: 200;
    padding: 5px 15px;
    background-color: #F0037B;
    border-radius: 1000px;
}

.nav-links ul li a:hover {
    background-color: #8300A9;
    transition: background-color 0.5s ease;
}

.nav-links ul li:hover::after {
    width: 100%;
}

.listcontainer {
    color: #fff;
    background: linear-gradient(270deg, #F0037B, #8300A9);
    background-size: 400% 400%;
    animation: gradient 10s ease infinite;
    padding: 20px;
    max-width: 600px;
    margin: 0 auto;
    border-radius: 10px;
    box-shadow: 0px 4px 10px rgba(0,0,0, 0.2);
}

.listcontainer h1 {
    text-align: center;
    font-family: 'DejaVu Sans Mono', monospace;
    color: #333;
}

#list {
    margin-top: 20px;
}

.listedRoom {
    padding: 10px;
    margin-bottom: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    background-color: #f9f9f9;
    color: #F0037B;
}

.listedRoom p {
    margin: 0;
    font-size: 16px;
}

.listedRoom button {
    margin-top: 5px;
    padding: 5px 10px;
    background-color: #007BFF;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.chat-container {
    background: linear-gradient(270deg, #422DA8, #DAA314);
    background-size: 400% 400%;
    animation: gradient 10s ease infinite;
    display: flex;
    flex-direction: column;
    width: 97.8%;
    height: 95.4%;
    margin: 0;
    border: 1px solid #ccc;
    padding: 20px;
    color: black;
}


#output {
    background: linear-gradient(270deg, #422DA8, #DAA314);
    background-size: 400% 400%;
    animation: gradient 10s ease infinite;
    margin-bottom: 10px;
}

#chat-window {
    background: linear-gradient(270deg, #422DA8, #DAA314);
    background-size: 400% 400%;
    animation: gradient 10s ease infinite;
    border: 1px solid #ccc;
    margin-bottom: 10px;
    flex: 1;
    overflow-y: scroll;
}

#message,
#send {
    background: linear-gradient(270deg, #422DA8, #DAA314);
    background-size: 400% 400%;
    animation: gradient 10s ease infinite;
    padding: 10px;
    font-size: 16px;
}

#message {
    width: 80%;
    color: black;
}

#send {
    width: 18%;
}

#code {
    position: absolute;
    right: 90px;
    bottom: 60px;
}

#huzzResult {
    font-size: 64px;
}